Skip to main content
POST
/
api2
/
v2
/
projects
/
{projectUid}
/
jobs
/
pseudoTranslate
Pseudo-translate job
curl --request POST \
  --url https://cloud.memsource.com/web/api2/v2/projects/{projectUid}/jobs/pseudoTranslate \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "jobParts": {
    "jobs": [
      {
        "uid": "<string>"
      }
    ]
  },
  "pseudoTranslate": {
    "replacement": "<string>",
    "prefix": "<string>",
    "suffix": "<string>",
    "length": 123,
    "keyHashPrefixLen": 9,
    "substitution": [
      {
        "source": "<string>",
        "target": "<string>"
      }
    ],
    "intersperse": true
  }
}
'

Authorizations

Authorization
string
header
required

Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.

Path Parameters

projectUid
string
required

Body

application/json
jobParts
object
required
pseudoTranslate
object
required

Response

No Content